<?xml version="1.0"?>
<!-- ================================================================
  $COPYRIGHT$
  $Id: bookfixup.xsl,v 1.1 2002/09/13 19:35:09 borzy Exp $
  Descr:
  This is the first style to be applied to an Book. It doesn't do
  anything else, but loads the separate chapters and makes one
  big file containing the whole book.

  Date        Author            Changes
  Jul 01 2001 Remus Pereni      Created
  ================================================================= -->
  
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:import href="copyover.xsl"/>
	<xsl:output method="xml" />
	<xsl:param name="bookdir" />
	
<xsl:template match="book">
	<book>
		<xsl:apply-templates/>
	</book>
</xsl:template>
 
<xsl:template match="chapter">
	<xsl:variable name="chapter" select="document(concat($bookdir, @file, '.xml'))" />
	<chapter title="{$chapter/document/header/title}" file="{@file}" >
		<xsl:copy-of select="$chapter" />  
	</chapter> 
</xsl:template>
</xsl:stylesheet>
